Draft Punkt entfernen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft DelPoint and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft DelPoint.svg Punkt entfernen

Menüeintrag
Draft → Punkt entfernen
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Draft Punkt hinzufügen, Draft Bearbeiten


Beschreibung

Dieses Werkzeug erlaubt es, Punkte aus bereits erstellten Linienzügen und BSplines zu entfernen.

Das Gegenstück zu diesem Werkzeug ist die Punkt hinzufügen-Operation.

Anwendung

  1. Wähle einen Linienzug oder einen BSpline. Das Werkzeug ist deaktiviert, wenn kein Objekt ausgewählt wurde.
  2. Drücke den Draft DelPoint.svg Punkt entfernen-Button
  3. Klicke einen Punkt auf dem Objekt
  4. Drücke Esc oder den Schließen-Button, um die Operation zu beenden; bereits gelöschte Punkte werden verschwinden.

Diese Funktionalität ist auch im Draft Edit.png Bearbeiten-Werkzeug verfügbar.

Optionen

Die Optionen dieses Werkzeugs sind in Draft Edit.svg Draft Bearbeiten beschrieben.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Es gibt keine Programmierschnittstelle für das DelPoint-Werkzeug, aber entfernen von Punkten ist einfach.

Das Points-Attribut eines Linienzuges oder Splines ist eine Liste von Punkten, aus denen das Objekt besteht; um Punkte zu entfernen, überschreibe dieses Attribut mit einer kürzeren Liste von Punkten. Du kannst Methoden wie pop() zum Entfernen einen Elements an der gewünschten Position in der Liste verwenden. Jeder Punkt ist durch seinen FreeCAD.Vector definiert, Einheiten in Millimetern.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()